# Project Templates

## List project templates

{% hint style="info" %}
**OAuth:** This endpoint requires one of the following scopes: `project:manage`, `project:read` or `project:write`.
{% endhint %}

{% openapi src="<https://app.textmaster.com/api-docs/v1/clients/specs.yaml>" path="/v1/clients/api\_templates" method="get" %}
<https://app.textmaster.com/api-docs/v1/clients/specs.yaml>
{% endopenapi %}

#### Code samples

```shell
curl -G "https://api.textmaster.com/v1/clients/api_templates" \
  -H "Authorization: Bearer d90944ea5d7cd52b350b879cfc390f62cb24661eff398141ce6ab040dc5aee4e"
```

## Filter project templates

{% hint style="info" %}
**OAuth:** This endpoint requires one of the following scopes: `project:manage`, `project:write` or `project:read`.
{% endhint %}

{% openapi src="<https://app.textmaster.com/api-docs/v1/clients/specs.yaml>" path="/v1/clients/api\_templates/filter" method="get" %}
<https://app.textmaster.com/api-docs/v1/clients/specs.yaml>
{% endopenapi %}

#### Parameters

You can use the [Filter API](https://developer.textmaster.com/overview/filters) to filter documents on a collection of criteria.

<table><thead><tr><th width="319">Name</th><th width="150">Type</th><th width="449.2">Description</th></tr></thead><tbody><tr><td><code>id</code></td><td>string</td><td>The unique identifier of the project template.</td></tr><tr><td><code>name</code></td><td>string</td><td>The name of the project template.</td></tr><tr><td><code>activity_name</code></td><td>string</td><td>The activity of the project template.</td></tr><tr><td><code>created_at</code></td><td>string</td><td>Describes the time the project template was created. This is a timestamp in <a href="https://en.wikipedia.org/wiki/ISO_8601">ISO 8601</a> format: <code>YYYY-MM-DDTHH:MM:SSZ</code>.</td></tr><tr><td><code>updated_at</code></td><td>string</td><td>Describes the time the project template was last updated. This is a timestamp in <a href="https://en.wikipedia.org/wiki/ISO_8601">ISO 8601</a> format: <code>YYYY-MM-DDTHH:MM:SSZ</code>.</td></tr><tr><td><code>language_from_code</code></td><td>string</td><td>The source language code of the project template. One of the language code returned by the <a href="languages">Language</a> endpoint.</td></tr><tr><td><code>language_to_code</code></td><td>string</td><td>The target language code of the project template. One of the language code returned by the <a href="languages">Language</a> endpoint.</td></tr><tr><td><code>level_name</code></td><td>string</td><td>The level of the project template. One of the level names returned by the <a href="levels">Level</a> endpoint.</td></tr></tbody></table>

#### Code samples

```shell
curl -G "https://api.textmaster.com/v1/clients/api_templates/filter" \
  --data-urlencode 'where={"name":"Lorem","language_from_code":"fr","language_to_code":"en"}' \
  --data-urlencode 'order=level_name' \
  -H "Authorization: Bearer 423773845b670244f0d3025c0be48de100f29482665e98c89e8dd31051938f12"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.textmaster.com/reference/project-templates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
